"""Handle projects."""

from pathlib import Path


class Project:
    """Parent class for any type of project."""

    def __init__(self, file_path: str) -> None:
        """Set file, root & name."""
        self.file: Path = Path(file_path).resolve()
        self.root: Path = self.file.parent
        self.name: str = self.root.name
